Debian Bug report logs - #675845
adanaxisgpl: FTBFS:

version graph

Package: src:adanaxisgpl; Maintainer for src:adanaxisgpl is Debian Games Team <pkg-games-devel@lists.alioth.debian.org>;

Reported by: debian-bsd@lists.debian.org

Date: Sun, 3 Jun 2012 16:33:02 UTC

Severity: serious

Tags: patch, sid, wheezy

Found in version adanaxisgpl/1.2.5.dfsg.1-4.1

Fixed in version adanaxisgpl/1.2.5.dfsg.1-5

Done: Christoph Egger <christoph@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-bsd@lists.debian.org, Debian Games Team <pkg-games-devel@lists.alioth.debian.org>:
Bug#675845; Package src:adanaxisgpl. (Sun, 03 Jun 2012 16:33:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to debian-bsd@lists.debian.org:
New Bug report received and forwarded. Copy sent to debian-bsd@lists.debian.org, Debian Games Team <pkg-games-devel@lists.alioth.debian.org>. (Sun, 03 Jun 2012 16:33:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Christoph Egger <christoph@debian.org>
To: submit@bugs.debian.org
Subject: adanaxisgpl: FTBFS:
Date: Sun, 03 Jun 2012 18:30:28 +0200
Package: src:adanaxisgpl
Version: 1.2.5.dfsg.1-4.1
Severity: serious
Tags: sid wheezy
User: debian-bsd@lists.debian.org
Usertags: kfreebsd
X-Debbugs-Cc: debian-bsd@lists.debian.org
Justification: fails to build from source (but built successfully in the past)

Hi!

Your package failed to build on the kfreebsd-* buildds:

gcc -DHAVE_CONFIG_H -I. -I..   -DMUSH_DATA_DIR=\"/usr/share/games\" -I/usr/include/SDL -D_GNU_SOURCE=1 -D_REENTRANT -I. -I./API -DNDEBUG  -I./Platform/X11  -DMUSH_DATA_DIR=\"/usr/share/games\" -g -O2 -I. -I./API -DNDEBUG -c -o io.o `test -f 'MushRuby/io.c' || echo './'`MushRuby/io.c
In file included from /usr/include/sys/kern/param.h:67:0,
                 from /usr/include/osreldate.h:1,
                 from /usr/include/i386-kfreebsd-gnu/sys/param.h:39,
                 from MushRuby/io.c:91:
/usr/include/sys/kern/types.h:189:18: error: two or more data types in declaration specifiers

Full build log at
https://buildd.debian.org/status/fetch.php?pkg=adanaxisgpl&arch=kfreebsd-i386&ver=1.2.5.dfsg.1-4.1&stamp=1338283407

Regards

    Christoph

If you have further questions please mail debian-bsd@lists.debian.org

-- 
9FED 5C6C E206 B70A 5857  70CA 9655 22B9 D49A E731
Debian Developer | Lisp Hacker | CaCert Assurer




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Games Team <pkg-games-devel@lists.alioth.debian.org>:
Bug#675845; Package src:adanaxisgpl. (Sat, 09 Jun 2012 16:36:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Robert Millan <rmh@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Games Team <pkg-games-devel@lists.alioth.debian.org>. (Sat, 09 Jun 2012 16:36:03 GMT) Full text and rfc822 format available.

Message #10 received at 675845@bugs.debian.org (full text, mbox):

From: Robert Millan <rmh@debian.org>
To: debian-bsd@lists.debian.org, 675845@bugs.debian.org
Subject: Re: Bug#675845: adanaxisgpl: FTBFS:
Date: Sat, 9 Jun 2012 18:33:54 +0200
2012/6/3 Christoph Egger <christoph@debian.org>:
> /usr/include/sys/kern/types.h:189:18: error: two or more data types in declaration specifiers

This might be a bug in kfreebsd-kernel-headers, however I can't check
because it hits a different error:

g++ -DHAVE_CONFIG_H -I. -I..   -DMUSH_DATA_DIR=\"/usr/share/games\"
-I/usr/include/SDL -D_GNU_SOURCE=1 -D_REENTRANT -I. -I./API -DNDEBUG
-I./Platform/X11  -g -O2 -c -o GameStringSpec.o `test -f
'Game/GameStringSpec.cpp' || echo './'`Game/GameStringSpec.cpp
In file included from ./Mushcore/MushcoreData.h:178:0,
                 from ./Mushcore/Mushcore.h:120,
                 from ./API/mushMushcore.h:58,
                 from Game/GameStringSpec.h:51,
                 from Game/GameStringSpec.cpp:50:
./Mushcore/MushcoreSingleton.h: In instantiation of ‘static void
MushcoreSingleton<SingletonType>::SingletonUncheckedNew() [with
SingletonType = MushcoreFactory]’:
./Mushcore/MushcoreSingleton.h:76:9:   required from ‘static
SingletonType& MushcoreSingleton<SingletonType>::Sgl() [with
SingletonType = MushcoreFactory]’
Game/GameStringSpec.cpp:91:22:   required from here
./Mushcore/MushcoreSingleton.h:86:5: error: ‘SingletonPtrSet’ was not
declared in this scope, and no declarations were found by
argument-dependent lookup at the point of instantiation [-fpermissive]
./Mushcore/MushcoreSingleton.h:86:5: note: declarations in dependent
base ‘MushcoreAbstractSingleton<MushcoreFactory>’ are not found by
unqualified lookup
./Mushcore/MushcoreSingleton.h:86:5: note: use
‘MushcoreSingleton::SingletonPtrSet’ instead
make[3]: *** [GameStringSpec.o] Error 1

-- 
Robert Millan




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Games Team <pkg-games-devel@lists.alioth.debian.org>:
Bug#675845; Package src:adanaxisgpl. (Wed, 25 Jul 2012 13:39:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Felix Geyer <fgeyer@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Games Team <pkg-games-devel@lists.alioth.debian.org>. (Wed, 25 Jul 2012 13:39:03 GMT) Full text and rfc822 format available.

Message #15 received at 675845@bugs.debian.org (full text, mbox):

From: Felix Geyer <fgeyer@debian.org>
To: Robert Millan <rmh@debian.org>
Cc: debian-bsd@lists.debian.org, 675845@bugs.debian.org
Subject: Re: Re: Bug#675845: adanaxisgpl: FTBFS:
Date: Wed, 25 Jul 2012 14:54:03 +0200
On 09.06.2012 18:33, Robert Millan wrote:
> 2012/6/3 Christoph Egger <christoph@debian.org>:
>> /usr/include/sys/kern/types.h:189:18: error: two or more data types in declaration specifiers
> This might be a bug in kfreebsd-kernel-headers, however I can't check
> because it hits a different error:
>
> g++ -DHAVE_CONFIG_H -I. -I..   -DMUSH_DATA_DIR=\"/usr/share/games\"
> -I/usr/include/SDL -D_GNU_SOURCE=1 -D_REENTRANT -I. -I./API -DNDEBUG
> -I./Platform/X11  -g -O2 -c -o GameStringSpec.o `test -f
> 'Game/GameStringSpec.cpp' || echo './'`Game/GameStringSpec.cpp
> In file included from ./Mushcore/MushcoreData.h:178:0,
>                  from ./Mushcore/Mushcore.h:120,
>                  from ./API/mushMushcore.h:58,
>                  from Game/GameStringSpec.h:51,
>                  from Game/GameStringSpec.cpp:50:
> ./Mushcore/MushcoreSingleton.h: In instantiation of ‘static void
> MushcoreSingleton<SingletonType>::SingletonUncheckedNew() [with
> SingletonType = MushcoreFactory]’:
> ./Mushcore/MushcoreSingleton.h:76:9:   required from ‘static
> SingletonType& MushcoreSingleton<SingletonType>::Sgl() [with
> SingletonType = MushcoreFactory]’
> Game/GameStringSpec.cpp:91:22:   required from here
> ./Mushcore/MushcoreSingleton.h:86:5: error: ‘SingletonPtrSet’ was not
> declared in this scope, and no declarations were found by
> argument-dependent lookup at the point of instantiation [-fpermissive]

Are you sure that you have built 1.2.5.dfsg.1-4.1 and not
1.2.5.dfsg.1-4 since the compiler command line should contain
"-fpermissive"?

Felix




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Games Team <pkg-games-devel@lists.alioth.debian.org>:
Bug#675845; Package src:adanaxisgpl. (Fri, 30 Nov 2012 03:30:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Steven Chamberlain <steven@pyro.eu.org>:
Extra info received and forwarded to list. Copy sent to Debian Games Team <pkg-games-devel@lists.alioth.debian.org>. (Fri, 30 Nov 2012 03:30:03 GMT) Full text and rfc822 format available.

Message #20 received at 675845@bugs.debian.org (full text, mbox):

From: Steven Chamberlain <steven@pyro.eu.org>
To: Felix Geyer <fgeyer@debian.org>
Cc: Robert Millan <rmh@debian.org>, debian-bsd@lists.debian.org, 675845@bugs.debian.org
Subject: Re: Re: Bug#675845: adanaxisgpl: FTBFS:
Date: Fri, 30 Nov 2012 03:26:49 +0000
Control: found -1 1.2.5.dfsg.1-4.1
Control: tags -1 + patch

Hi,

On 14:54, Felix Geyer wrote:
> Are you sure that you have built 1.2.5.dfsg.1-4.1 and not
> 1.2.5.dfsg.1-4 since the compiler command line should contain
> "-fpermissive"?

I could reproduce the same build failure in this version with
-fpermissive

The problem is a '#define off_t long', which causes a problem later when
GNU/kFreeBSD headers include <sys/types.h> (again), and try to redefine
off_t for some reason.

That only happens because HAVE_OFF_T isn't being set in config.h.  In
fact it is hard-coded to 0 by default and set to 1 on certain supported
platforms such as Mac OS X (in rubyconfigure.h).

Linux headers presumably don't redefine off_t so it doesn't usually
matter.


With the patch below, then running:

$ aclocal-1.10 && autoheader && autoconf

implements a proper detection for off_t and it builds now on
kfreebsd-amd64.  Also it still builds okay and runs on GNU/Linux amd64.

--- a/configure.in      2007-10-25 21:38:55.000000000 +0100
+++ b/configure.in      2012-11-30 02:01:34.039114307 +0000
@@ -288,6 +288,8 @@
 ])
 ])
 
+AC_CHECK_TYPES([off_t], [], [], [[#include <sys/types.h>]])
+
 LIBS="$LIBS $SDL_EXTRA_LIBS"
 
 AC_OUTPUT(Makefile src/Makefile data-adanaxis/Makefile)


Thank you!
Regards,
-- 
Steven Chamberlain
steven@pyro.eu.org



Added tag(s) patch. Request was from Steven Chamberlain <steven@pyro.eu.org> to 675845-submit@bugs.debian.org. (Fri, 30 Nov 2012 03:30:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Games Team <pkg-games-devel@lists.alioth.debian.org>:
Bug#675845; Package src:adanaxisgpl. (Fri, 30 Nov 2012 08:39:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Guillem Jover <guillem@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Games Team <pkg-games-devel@lists.alioth.debian.org>. (Fri, 30 Nov 2012 08:39:03 GMT) Full text and rfc822 format available.

Message #27 received at 675845@bugs.debian.org (full text, mbox):

From: Guillem Jover <guillem@debian.org>
To: Steven Chamberlain <steven@pyro.eu.org>
Cc: Felix Geyer <fgeyer@debian.org>, Robert Millan <rmh@debian.org>, debian-bsd@lists.debian.org, 675845@bugs.debian.org
Subject: Re: Re: Bug#675845: adanaxisgpl: FTBFS:
Date: Fri, 30 Nov 2012 09:35:31 +0100
Hi!

On Fri, 2012-11-30 at 03:26:49 +0000, Steven Chamberlain wrote:
> Control: found -1 1.2.5.dfsg.1-4.1
> Control: tags -1 + patch

> The problem is a '#define off_t long', which causes a problem later when
> GNU/kFreeBSD headers include <sys/types.h> (again), and try to redefine
> off_t for some reason.
> 
> That only happens because HAVE_OFF_T isn't being set in config.h.  In
> fact it is hard-coded to 0 by default and set to 1 on certain supported
> platforms such as Mac OS X (in rubyconfigure.h).


> With the patch below, then running:
> 
> $ aclocal-1.10 && autoheader && autoconf
> 
> implements a proper detection for off_t and it builds now on
> kfreebsd-amd64.  Also it still builds okay and runs on GNU/Linux amd64.
> 
> --- a/configure.in      2007-10-25 21:38:55.000000000 +0100
> +++ b/configure.in      2012-11-30 02:01:34.039114307 +0000
> @@ -288,6 +288,8 @@
>  ])
>  ])
>  
> +AC_CHECK_TYPES([off_t], [], [], [[#include <sys/types.h>]])
> +

I guess ideally the code would be using AC_TYPE_OFF_T, but as you
mention that the code depends on HAVE_OFF_T, then this might be the
smallest change to accomplish the same thing.

Thanks,
Guillem



Reply sent to Christoph Egger <christoph@debian.org>:
You have taken responsibility. (Sat, 29 Dec 2012 23:51:03 GMT) Full text and rfc822 format available.

Notification sent to debian-bsd@lists.debian.org:
Bug acknowledged by developer. (Sat, 29 Dec 2012 23:51:03 GMT) Full text and rfc822 format available.

Message #32 received at 675845-close@bugs.debian.org (full text, mbox):

From: Christoph Egger <christoph@debian.org>
To: 675845-close@bugs.debian.org
Subject: Bug#675845: fixed in adanaxisgpl 1.2.5.dfsg.1-5
Date: Sat, 29 Dec 2012 23:47:34 +0000
Source: adanaxisgpl
Source-Version: 1.2.5.dfsg.1-5

We believe that the bug you reported is fixed in the latest version of
adanaxisgpl, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 675845@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Christoph Egger <christoph@debian.org> (supplier of updated adanaxisgpl package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Sat, 29 Dec 2012 14:20:57 -0800
Source: adanaxisgpl
Binary: adanaxisgpl adanaxisgpl-data
Architecture: source kfreebsd-amd64 all
Version: 1.2.5.dfsg.1-5
Distribution: unstable
Urgency: low
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Changed-By: Christoph Egger <christoph@debian.org>
Description: 
 adanaxisgpl - Action game in four spatial dimensions
 adanaxisgpl-data - Action game in four spatial dimensions
Closes: 675845
Changes: 
 adanaxisgpl (1.2.5.dfsg.1-5) unstable; urgency=low
 .
   * Team Upload
   * Fix FTBFS on kFreeBSD (Closes: #675845)
     Thanks to Steven Chamberlain for the patch
Checksums-Sha1: 
 f082f76bd1c423caea43f5c6c107073131800d6b 2273 adanaxisgpl_1.2.5.dfsg.1-5.dsc
 276b377988836eec440f8c94aafff4ff7c0acb49 16886 adanaxisgpl_1.2.5.dfsg.1-5.debian.tar.gz
 a15f2d132abd73aed009237e69734bb190ce4622 1546362 adanaxisgpl_1.2.5.dfsg.1-5_kfreebsd-amd64.deb
 e89caaefa7899c05aa15c399eb5652f0146de4ec 18349320 adanaxisgpl-data_1.2.5.dfsg.1-5_all.deb
Checksums-Sha256: 
 6aeb7b9f5938053f3e5ffc61224857333a573aeca6f44c8ec9a2140d6bde7574 2273 adanaxisgpl_1.2.5.dfsg.1-5.dsc
 13991bc9dbf55b466a373d191585d3e41eee7ddcd86b8f07aa95d77ab9c0c3c1 16886 adanaxisgpl_1.2.5.dfsg.1-5.debian.tar.gz
 3a4be99ee1830e39b836c37a7d25f358dd41efca9605d9a2e3009541edff4234 1546362 adanaxisgpl_1.2.5.dfsg.1-5_kfreebsd-amd64.deb
 395a4965bd46b7701d064f9d96a23d2f1ce36897fa9b039f616a594b2629f862 18349320 adanaxisgpl-data_1.2.5.dfsg.1-5_all.deb
Files: 
 7106d4f26875a9db8384d02c81844ede 2273 games optional adanaxisgpl_1.2.5.dfsg.1-5.dsc
 4193fc49aed9ec554cf7f03b13953d91 16886 games optional adanaxisgpl_1.2.5.dfsg.1-5.debian.tar.gz
 61a2293b95eeb377e7589161cfcdefad 1546362 games optional adanaxisgpl_1.2.5.dfsg.1-5_kfreebsd-amd64.deb
 e412ac4eec60dd8f86bdf5c7076aa76d 18349320 games optional adanaxisgpl-data_1.2.5.dfsg.1-5_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/kFreeBSD)

iQIcBAEBCAAGBQJQ335OAAoJEKv/7bJACMb5WCsQALFjnKMOs3MuNbrwrMt2l1pF
/zIQzMdWUbKKAbkvkRG33R1DGMy4hjbPAUuBoSy7QDEb9up+H753y73KWf/F9DQL
yuHGlg5BHZZKSEepNbR95FIPObEny4pd/D4oB6z/33sQwnne3w+lCx/UmiJK/deo
tyXj2Lxsh3kTwhfllh85ncISYwEP6huwKTVQvZMijE4vF28LKMDobXqZSCrA3gNj
bkNZRUwsPo8Wu+b+FUPD/SzKZdwz50J5xWVKI3wRsHEOPAcGC72h3hD7eE1HDei/
WFP+42DCYOvEBjwD9/AzUrxw3wdRclCXximxUUjWSNZiXCBsiDINb/kY5di6js2i
KySJXT2IJlmLtArLe4qItQa34S9PzpkhHw1LlGDTgTYfsZ9YkNIBnROJ78wDbrzZ
x+Rh5Q8j/d9scdvvSPiYCWG0sd2PWPSW2CYBiNg+Y6it2EuEjU9K4umf7zdGbnsx
B4fubts691rNmgwGkkqhcyb1GJB47ylNLJXH1Z4MKOo10DR/ltVFfSBJuyG731NH
wJf+T7Ka7gRkHwKJQYr/Sca3+YYhGAAij5Ly81NwmufQJyHr6xuaL1fNP94ZY2QL
mSl2DJg0AG4GNU1edmli64pIvLZm7hi9UTwVNs9b0KZWfLV3fQFwfpcw0DWWYrCe
Hx07qRnaD0sbYLLAysrO
=bAZ2
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 27 Jan 2013 07:27:10 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 18:21:10 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.